#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.4.2
%define		qtver		5.15.2
%define		kpname		kpipewire
Summary:	a set of convenient classes to use PipeWire in Qt projects
Name:		kp6-%{kpname}
Version:	6.4.2
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	4270a391bbbdfecb253831e3ae3da0b8
URL:		http://www.kde.org/
BuildRequires:	Qt6WaylandClient-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ffmpeg-devel
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	kp6-kwayland-devel
BuildRequires:	ninja
BuildRequires:	pipewire-devel
BuildRequires:	plasma-wayland-protocols-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kpipewire offers a set of convenient classes to use PipeWire
(https://pipewire.org/) in Qt projects.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 3.16
Obsoletes:	kp5-%{kpname}-devel < 6

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPipeWire.so.6
%attr(755,root,root) %{_libdir}/libKPipeWire.so.*.*
%ghost %{_libdir}/libKPipeWireRecord.so.6
%attr(755,root,root) %{_libdir}/libKPipeWireRecord.so.*.*
%dir %{_libdir}/qt6/qml/org/kde/pipewire
%{_libdir}/qt6/qml/org/kde/pipewire/KPipeWire.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/libKPipeWireplugin.so
%{_libdir}/qt6/qml/org/kde/pipewire/qmldir
%dir %{_libdir}/qt6/qml/org/kde/pipewire/monitor
%dir %{_libdir}/qt6/qml/org/kde/pipewire/record
%{_libdir}/qt6/qml/org/kde/pipewire/record/KPipeWireRecord.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/record/libKPipeWireRecordplugin.so
%{_libdir}/qt6/qml/org/kde/pipewire/record/qmldir
%{_datadir}/qlogging-categories6/kpipewire.categories
%{_datadir}/qlogging-categories6/kpipewirerecord.categories
%ghost %{_libdir}/libKPipeWireDmaBuf.so.6
%attr(755,root,root) %{_libdir}/libKPipeWireDmaBuf.so.*.*
%{_libdir}/qt6/qml/org/kde/pipewire/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/KPipeWireMonitorDeclarative.qmltypes
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/monitor/libKPipeWireMonitorDeclarative.so
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/qmldir
%{_libdir}/qt6/qml/org/kde/pipewire/record/kde-qmlmodule.version

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPipeWire
%{_libdir}/cmake/KPipeWire
%{_libdir}/libKPipeWire.so
%{_libdir}/libKPipeWireRecord.so
%{_libdir}/libKPipeWireDmaBuf.so
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kpipewire.git;a=log;h=master

* Tue Jul 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a150ee5
- updated to 6.4.2

* Tue Jun 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8d1a79f
- updated to 6.4.1

* Tue Jun 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> de38e71
- updated to 6.4.0

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fea07e6
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b4a1871
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 622738f
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bc7d691
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b0af8ab
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fda67e8
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c09c7ad
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e42d473
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 71606dd
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 11c3248
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ff5ce43
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 73b1a26
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dbe3532
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bbee9f1
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7273d7d
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1adb8a3
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ef90b03
- updated to 6.1.1

